Subject: Re: [weirds] I-D Action: draft-ietf-weirds-rdap-query-01.txt

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 10 Dec 2012 11:29:08 +0800

Sorry for the late reply.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Byron Ellacott
> Sent: Friday, November 30, 2012 3:26 PM
> To: John R Levine
> Cc: [email-masked]
> Subject: Re: [weirds] I-D Action: draft-ietf-weirds-rdap-query-01.txt
> 
> 
> 
> >This is one of the reasons why I pushed back so hard against coupling
> >the numbers and names WEIRDS designs.  The people who want names need
> >to figure this out and come up with at least an approximate set of
> >query types and terms, but I haven't seen much progress in that regard.
> 
> http://tools.ietf.org/html/draft-zhou-weirds-dnrd-ap-object-inventory is a
> decent effort at the lookup side of this, by identifying the result terms
and by
> implication the object types.
> 
> 
In name space, there are mainly 4 query types described in the
draft-zhou-weirds-dnrd-ap-object-inventory. They are queries for domain
name, nameserver, contact and registrar. This draft gives a concept of
entity which represents a contact, registrant or registrar. I think sections
2.3, 2,4 and 2.5 of this draft include the name registries' query
requirements.